﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Doughnut
{
    public class ChartViewModel 
    {
       
        public ObservableCollection<Model> DataPoints { get; set; }

        public ChartViewModel()
        {
           
            DataPoints = new ObservableCollection<Model>
            {
                new Model("Jan", 20),
                new Model("Feb", 25),
                new Model("Mar", 15),
                new Model("Apr", 15),
                new Model("May", 22),
                new Model("Jun", 18),
            };
        }
    }

    public class Model
    {
        public string XValue { get; set; }
        public double YValue { get; set; }

        public Model(string xValue, double Value)
        {
            XValue = xValue;
            YValue = Value;
        }

    }
}
